Subject: [p2p-sip] I-D: An Architecture for P2P SIP

From: marc1.bailly at francetelecom.com (BAILLY Marc RD-CORE-LAN)
Date: Tue, 7 Mar 2006 19:02:26 +0100

Hi Eunsoo,

In section 8, regarding the storage of ressource records for SIP, you include a timestamp and a lifetime. I agree that these information are needed. 
It is not mentioned in the draft on what is based this timestamp. If this timestamp is based on the node clock, it requires that this clock is correct : if possible shifts in nodes clocks are not taken into account, I think we will have bad behaviors in the management of records in DHT.
Maybe it could be interesting to mention this point in your draft.

Marc

> -----Message d'origine-----
> De : p2p-sip-bounces at cs.columbia.edu 
> [mailto:p2p-sip-bounces at cs.columbia.edu] De la part de Eunsoo Shim
> Envoy? : mardi 28 f?vrier 2006 00:22
> ? : P2P-SIP
> Objet : [p2p-sip] I-D: An Architecture for P2P SIP
> 
> We submitted an I-D that describes an architecture for P2P SIP.
> You can get it from the link below until it appears in the IETF I-D 
> directory.
> We hope this draft can help the architecture and charter 
> discussion in BOF.
> Your comments will be appreciated.
> Thanks.
> 
> Eunsoo
> 
> http://www.comet.columbia.edu/~eunsoo/ietf/draft-shim-sipping-
> p2p-arch-00.txt
> 
> Abstract
> 
>    This document describes an architecture for peer-to-peer 
> SIP systems
>    in which a separate and independent peer-to-peer overlay layer
>    provides a distributed resource placement and search 
> service for SIP.
>    It also aims to help identify what should be specified for
>    interoperation.
> 
> 
> 
> 
> 
> _______________________________________________
> p2p-sip mailing list
> p2p-sip at cs.columbia.edu
> https://lists.cs.columbia.edu/cucslists/listinfo/p2p-sip
>